﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    /// <summary>
    /// 客戶所使用的機器元件
    /// </summary>
    [Table("CustomerMachineComponent")]
    public partial class CustomerMachineComponent
    {
        [Key]
        public int Id { get; set; }

        /// <summary>
        /// 客戶ID
        /// </summary>
        public Guid CustomerId { get; set; }

        [ForeignKey("CustomerId")]
        public virtual Customer Customer { get; set; }
        /// <summary>
        /// 設定好的機器元件Id
        /// </summary>
        public int MachineComponentId { get; set; }

        [ForeignKey("MachineComponentId")]
        public virtual MachineComponent MachineComponent { get; set; }

      
        public DateTime CreatedOn { get; set; }

        [StringLength(50)]     
        public string CreatedBy { get; set; }
    }
}