﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    /// <summary>
    /// 機器的組成項目
    /// </summary>
    [Table("MachineComponent")]
    public partial class MachineComponent
    {
        [Key]
        public int Id { get; set; }

        /// <summary>
        /// 機器的MachineModelId
        /// </summary>
        public int MachineModelId { get; set; }

        [ForeignKey("MachineModelId")]
        public virtual MachineModel MachineModel { get; set; }

        /// <summary>
        /// 槍數
        /// </summary>
        public int? GunAmt { get; set; }

        /// <summary>
        /// 機器零件ID
        /// </summary>
        public int MachinePartId { get; set; }

        [ForeignKey("MachinePartId")]
        public virtual MachinePart MachinePart { get; set; }

        /// <summary>
        /// 機器 Model Name
        /// </summary>
        public String ModelName { get; set; }

     
    }
}