﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    [Table("MachineConnectionLog")]
    public class MachineConnectionLog
    {

        public MachineConnectionLog()
        {
            IsSent = false;
        }

        public Int64 Id { set; get; }

        [StringLength(128)]
        public string ChargeBoxId { get; set; }



        /// <summary>
        /// 訊息種類
        /// </summary>
        [StringLength(50)]
        public string MessageType { get; set; }

        /// <summary>
        /// 封包訊息
        /// </summary>
        [StringLength(3600)]      
        public string Data { get; set; }

        /// <summary>
        /// 訊息，可放錯誤訊息
        /// </summary>
        [StringLength(200)]
        [DefaultValue("")]
        public string Msg { get; set; }

        /// <summary>
        /// 產生時間
        /// </summary>       
        public DateTime CreatedOn { get; set; }

        /// <summary>
        /// 傳出訊息
        /// </summary>
        public bool IsSent { set; get; }

        /// <summary>
        /// 電樁 EndPoint 
        /// </summary>
        [StringLength(25)]
        public string EVSEEndPoint { get; set; }


        /// <summary>
        /// Session
        /// </summary>
        [StringLength(36)]
        public string Session { get; set; }
    }
}
