﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    /// <summary>
    /// 需確認的指令發送檔
    /// </summary>
    [Table("ServerMessage")]
    public partial class ServerMessage
    {
        public ServerMessage()
        {
            ReceivedOn = new DateTime(1991, 1, 1);
            UpdatedOn = new DateTime(1991, 1, 1);
        }

        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public int Id { get; set; }


        /// <summary>
        /// 機器的客戶自訂ID
        /// </summary>
        [StringLength(128)]
        public string ChargeBoxId { get; set; }

        /// <summary>
        /// 隨機序號
        /// </summary>
        [StringLength(36)]
        public string SerialNo { get; set; }


        /// <summary>
        /// 輸入傳送Action
        /// </summary>
        [StringLength(30)]
        public string OutAction { get; set; }

        /// <summary>
        /// 輸入傳送資料
        /// </summary>
        public string OutRequest { get; set; }

        /// <summary>
        /// 收到傳送資料
        /// </summary>      
        public string InMessage { get; set; }


        public DateTime CreatedOn { get; set; }

        [StringLength(36)]
        public string CreatedBy { get; set; }

        /// <summary>
        /// 更新輸入指令
        /// </summary>
        public DateTime UpdatedOn { get; set; }


        /// <summary>
        /// 收到輸入指令
        /// </summary>
        public DateTime ReceivedOn { get; set; }
    }
}
