﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    /// <summary>
    /// 上傳檔案
    /// </summary>
    [Table("UploadFile")]
    public partial class UploadFile
    {
        public UploadFile()
        {
            Id = Guid.NewGuid();
        }

        //[Index(IsClustered = false)]
        [Key]
        public Guid Id { get; set; }

        /// <summary>
        /// 檔名
        /// </summary>
        [Required]
        [StringLength(500)]    
        public string FileName { get; set; }

        /// <summary>
        /// 原始檔名
        /// </summary>
        [Required]
        [StringLength(500)]
       
        public string OriginName { get; set; }

       
        public int FileSize { get; set; }

        /// <summary>
        /// 檔案類型
        /// </summary>
        [StringLength(200)]
     
        public string FileType { get; set; }

        /// <summary>
        /// 副檔名
        /// </summary>
        [StringLength(50)]    
        public string FileExtensionName { get; set; }

        /// <summary>
        /// 檔案路徑
        /// </summary>
        [Required]
        [StringLength(500)]       
        public string FilePath { get; set; }

        
        public DateTime CreatedOn { get; set; }

        [StringLength(50)]      
        public string CreatedBy { get; set; }

        /// <summary>
        /// 是否有效
        /// </summary>       
        public bool IsOnline { get; set; }       

    
        public Guid CustomerId { get; set; }

      

        /// <summary>
        /// MD5
        /// </summary>
        [StringLength(50)]
        public string FileMD5 { get; set; }

        /// <summary>
        /// 網頁路徑
        /// </summary>
        [StringLength(512)]
        public string FileUrl { get; set; }

       
    }
}