﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public class ChargingSchedulePeriod
    {
        /// <summary>
        /// Start of the period, in seconds from the start of schedule.
        /// The value of StartPeriod also defines the stop time of the previous period.
        /// </summary>
        [Required]
        public int startPeriod { set; get; }

        /// <summary>
        /// Power limit during the schedule period, expressed in
        /// Amperes.Accepts at most one digit fraction (e.g. 8.1).
        /// </summary>
        [Required]
        public decimal limit { set; get; }

        /// <summary>
        /// The number of phases that can be used for charging.
        /// If a number of phases is needed, numberPhases=3 will be
        /// assumed unless another number is given.
        /// </summary>     
        public int? numberPhases { set; get; }

    }
}
