﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum Location
    {
        /// <summary>
        /// Measurement inside body of Charge Point (e.g.Temperature)
        /// </summary>
        Body=1,
        /// <summary>
        /// Measurement taken from cable between EV and  Charge Point
        /// </summary>
        Cable,
        /// <summary>
        /// Measurement taken by EV
        /// </summary>
        EV,
        /// <summary>
        /// Measurement at network (“grid”) inlet connection
        /// </summary>
        Inlet,
        /// <summary>
        /// Measurement at a Connector. Default value
        /// </summary>
        Outlet
    }
}
